=== debian/changelog ===
t2n (0.5-1) unstable; urgency=low

  * added patch to fix string formatting (thanks to Petter Reinholdtsen)
  * patched Makefile to accept the CFLAGS and LDFLAGS variables
  * upload sponsored by Petter Reinholdtsen
  * Initial release.(Closes: #518343)

 -- Slavko <linux@slavino.sk>  Thu, 03 Jan 2013 11:59:57 +0100
