=== debian/control ===
Source: t2n
Section: electronics
Priority: extra
Maintainer: Slavko <linux@slavino.sk>
Build-Depends: debhelper (>= 8), libusb-dev
Standards-Version: 3.9.3
Homepage: http://www-verimag.imag.fr/~raymond/edu/lego/

Package: t2n
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple command-line tool for Lego NXT
 Simple command-line tool for communication with your NXT brick through the
 USB port.
 .
 By this tool you can:
  * check battery level
  * print nxt info
  * list files
  * upload file
  * download file
 .
