=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
http://www-verimag.imag.fr/~raymond/edu/lego/t2n t2n-(.*)\.src\.tgz
