=== debian/changelog ===
t2n (0.6-9) unstable; urgency=medium

  * Renamed 01-readme-typo.patch to 1010-readme-typo.patch to match
    new naming scheme.
  * Added 1030-ezargs-no-null-self.patch to avoid segfault in argument
    parsing code.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 02 Oct 2021 16:02:37 +0200

t2n (0.6-8) unstable; urgency=medium

  [ Jenkins Janitor ]
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.

  [ Petter Reinholdtsen ]
  * Updated d/watch file with new upstream location.
  * Switch to new patch naming scheme.
  * Switched to new upstream home page url.
  * Brought appstream metainfo license in line with d/copyright.
  * Merged the two d/*install files to make sure binary is included in package.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 01 Oct 2021 06:18:32 +0200

t2n (0.6-7) unstable; urgency=medium

  * Updated Standards-Version from 4.0.0 to 4.6.0.
  * Updated Vcs info in d/control with new salsa location.
  * Switch appstream metadata ID to reverse domain-name.
  * Fix cross building problems (Closes: #928898)
  * Updated debhelper level from 10 to 13.
  * Corrected package priority from extra to optional.
  * Mark package to not need root access during build.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 25 Sep 2021 22:05:03 +0200

t2n (0.6-6) unstable; urgency=medium

  * Corrected section in d/gbp.conf.
  * Corrected install path for appstream metadata to /usr/share/metainfo/.
  * Updated Standards-Version from 3.9.8 to 4.0.0.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 01 Aug 2017 10:15:56 +0200

t2n (0.6-5) unstable; urgency=medium

  * Fixed typo in udev rule breaking it for everyone (== -> =).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 19 Oct 2016 08:32:36 +0000

t2n (0.6-4) unstable; urgency=medium

  * Added udev marker ID_LEGO_MINDSTORMS in udev rule.
  * Added d/gbp.conf to enforce use of pristine-tar.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Oct 2016 06:36:19 +0000

t2n (0.6-3) unstable; urgency=medium

  * Moved package under the new Debian LEGO Team umbrella and publish
    git repo there.
  * Mention Mindstorms in package description.
  * Adjusted udev rule, made sure to use tag uaccess for console user
    access using logind.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 09 Oct 2016 05:45:40 +0200

t2n (0.6-2) unstable; urgency=medium

  * Moved packaging to collab-maint and added Vcs entries in d/control
    for this.
  * Added AppStream info to announce handled modaliases.
  * Added 01-readme-typo.patch to fix minor typo in README.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 12 Sep 2016 09:37:47 +0200

t2n (0.6-1) unstable; urgency=medium

  * Added d/gbp.conf to make sure pristine-tar is used.
  * Updated Standards-Version from 3.9.3 to 3.9.8.
  * Took over maintenance from Slavko.  Thank you for all the good work.
  * Switched from debhelper 8 to 9.
  * Corrected d/watch to find the new 0.6 version.
  * New upstream version 0.6.
    - Remove compiled binaries objlinux64/* included in upstream tarball
      by mistake.
    - Removed Debian specific patches applied upstream.
    - Updated d/copyright a bit to reflect realities.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 09 Jul 2016 08:48:59 +0200
