=== debian/control ===
Source: t2n
Section: electronics
Priority: optional
Maintainer: Debian LEGO Team <debian-lego-team@lists.alioth.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper-compat (= 13), libusb-dev
Standards-Version: 4.6.0
Homepage: http://www-verimag.imag.fr/~raymond/home/tools/t2n/
Vcs-Git: https://salsa.debian.org/debian-lego-team/t2n.git
Vcs-Browser: https://salsa.debian.org/debian-lego-team/t2n
Rules-Requires-Root: no

Package: t2n
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple command-line tool for LEGO Mindstorms NXT
 Simple command-line tool for communication with your LEGO Mindstorms NXT brick
 through the USB port.
 .
 By this tool you can:
  * check battery level
  * print nxt info
  * list files
  * upload file
  * download file
 .
