=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
#	post hardenning options to Makefile
	dh_auto_build -- LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" LK='$$(CXX)'
