## t2n 0.7

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 CC=g++
 LK=g++
-CFLAGS+= -I$(SRCDIR) -I$(OBJDIR) -g -Wall
+CFLAGS+= -I$(SRCDIR) -I$(OBJDIR) -g -Wall -fPIE -Wno-int-to-pointer-cast
 LDFLAGS+=
 
 LIBS=-lusb -lstdc++
@@ -41,7 +41,7 @@
      $(OBJDIR)/ezargs.o 
 
 $(OBJDIR)/usbscan: $(SRCDIR)/usbscan.c
-	gcc $(CFLAGS) $(LDFLAGS) $(SRCDIR)/usbscan.c $(LIBS) -o $(OBJDIR)/usbscan
+	gcc $(CFLAGS) -Wno-unused-but-set-variable $(LDFLAGS) $(SRCDIR)/usbscan.c $(LIBS) -o $(OBJDIR)/usbscan
 
 $(OBJDIR)/$(MAIN) : $(OBJS)
 	$(LK) $(LDFLAGS) $(OBJS) $(LIBS) -o $(OBJDIR)/$(MAIN)
@@ -96,4 +96,4 @@
 		sed -e s/BINDIST/$$ddir.tgz/g | \
       sed -e s/SRCDIST/$$sddir.tgz/g -e s/ZEDATE/$$zedate/ > publish/index.html ; \
 	tar zcvf $$sddir.tgz $$sddir ; mv $$sddir.tgz publish/files
-	rsync -avz publish/ /import/www/PEOPLE/raymond/edu/lego/t2n/ 
+	rsync -avz publish/ /import/www-people/PEOPLE/raymondp/files/t2n
