=== debian/changelog ===
t2n (0.7-2) unstable; urgency=medium

  * Add myself as an uploader.
  * Use HTTPS links for control, copyright, metainfo and upstream metadata.
  * Update Standards-Version to 4.7.2, no change needed.
  * Enable Salsa CI using default template.
  * Stop referring to the old postal address of the FSF in debian/copyright,
    add a reference to full text license on debian systems.
  * Update copyright years.

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Sun, 06 Apr 2025 16:57:51 +0200

t2n (0.7-1) unstable; urgency=medium

  * New upstream version 0.7.
   - Refreshed patches 1020-cross-build.patch and 1040-libusb1.patch.
   - Removed 1030-ezargs-no-null-self.patch, as a alternative fix seem
     to be implemented upstream.
  * Adjusted Appstream metainfo file based on validation feedback.
  * Updated d/patches/ metadata with more info.
  * Correct url in watch file to use https.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 15 Apr 2024 18:14:21 +0200

t2n (0.6-11) unstable; urgency=medium

  * Added missing build dependency pkgconf.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 10 Apr 2024 23:45:01 +0200

t2n (0.6-10) unstable; urgency=medium

  * Adjusted d/rules to build hardened binaries.
  * Added 1040-libusb1.patch to convert code to libusb1 (Closes: #810460)
  * Switched appstream metadata license back to MIT and adjusted d/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 10 Apr 2024 15:21:21 +0200
