=== debian/control ===
--- 
+++ 
@@ -3,10 +3,14 @@
 Priority: optional
 Maintainer: Debian LEGO Team <debian-lego-team@lists.alioth.debian.org>
 Uploaders:
- Petter Reinholdtsen <pere@debian.org>
-Build-Depends: debhelper-compat (= 13), libusb-dev
-Standards-Version: 4.6.0
-Homepage: http://www-verimag.imag.fr/~raymond/home/tools/t2n/
+ Petter Reinholdtsen <pere@debian.org>,
+ Nicolas Schodet <nico@ni.fr.eu.org>,
+Build-Depends:
+ debhelper-compat (= 13)
+ , libusb-1.0-0-dev
+ , pkgconf
+Standards-Version: 4.7.2
+Homepage: https://www-verimag.imag.fr/~raymond/home/tools/t2n/
 Vcs-Git: https://salsa.debian.org/debian-lego-team/t2n.git
 Vcs-Browser: https://salsa.debian.org/debian-lego-team/t2n
 Rules-Requires-Root: no
