=== debian/watch ===
# See uscan(1) for format
version=4
https://www-verimag.imag.fr/~raymond/files/t2n/files/ t2n-(.*)\.src\.tgz
